Subject: Re: [PATCH] r8152: Add support for setting MAC to system's Auxiliary MAC address

From: Greg KH <[email-masked]>
Date: Wed, 1 Jun 2016 16:06:51 -0700

On Wed, Jun 01, 2016 at 10:31:52PM +0000, [email-masked] wrote:
> > -----Original Message-----
> > From: Andrew Lunn [mailto:[email-masked]]
> > Sent: Wednesday, June 1, 2016 5:27 PM
> > To: Limonciello, Mario <[email-masked]>
> > Cc: [email-masked]; LKML <[email-masked]>; Netdev
> > <[email-masked]>; Linux USB <[email-masked]>;
> > [email-masked]; [email-masked]
> > Subject: Re: [PATCH] r8152: Add support for setting MAC to system's
> > Auxiliary MAC address
> > 
> > On Wed, Jun 01, 2016 at 04:50:44PM -0500, Mario Limonciello wrote:
> > > Dell systems with Type-C ports have support for a persistent system
> > > specific MAC address when used with Dell Type-C docks and dongles.
> > > This means a dock plugged into two different systems will show
> > > different (but persistent) MAC addresses.  Dell Type-C docks and
> > > dongles use the
> > > r8152 driver.
> > >
> > > This information for the system's persistent MAC address is burned in
> > > when the HW is built and avilable under _SB\AMAC in the DSDT at runtime.
> > >
> > > More information about the technology is available here:
> > > http://www.dell.com/support/article/us/en/04/SLN301147
> > >
> > > Signed-off-by: Mario Limonciello <[email-masked]>
> > > ---
> > >  drivers/net/usb/Kconfig |  1 +
> > >  drivers/net/usb/r8152.c | 37
> > +++++++++++++++++++++++++++++++++++++
> > >  2 files changed, 38 insertions(+)
> > >
> > > diff --git a/drivers/net/usb/Kconfig b/drivers/net/usb/Kconfig index
> > > cdde590..c320930 100644
> > > --- a/drivers/net/usb/Kconfig
> > > +++ b/drivers/net/usb/Kconfig
> > > @@ -98,6 +98,7 @@ config USB_RTL8150
> > >  config USB_RTL8152
> > >  	tristate "Realtek RTL8152/RTL8153 Based USB Ethernet Adapters"
> > >  	select MII
> > > +	depends on ACPI
> > 
> > Hi Mario
> > 
> > That seems a bit heavy handed. What about ARM or MIPS machines which
> > don't use ACPI but do have USB ports where i could plug in a USB dongle with
> > this chipset.
> > 
> > I think it would be better to make use of ACPI if it is available, but don't
> > require it in order the build the driver.
> > 
> >       Andrew
> 
> Hi Andrew,
> 
> Thanks for that feedback.  I'll adjust that to look for CONFIG_ACPI in
> the code instead in V2 after I get some additional comments for the
> implementation.

No need to do that, the acpi functions should be "stubbed out" if that
option is not enabled, right?  You don't want #ifdefs in .c code if at
all possible.

thanks,

greg k-h